<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imblockslide</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imblockproc.html">&lt;&lt; imblockproc</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_574e3b4e7087dab9ef32adbdaa6a972f.html">Image Block Processing</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imcolproc.html">imcolproc &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_574e3b4e7087dab9ef32adbdaa6a972f.html">Image Block Processing</a> &gt; imblockslide</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imblockslide</h1>
    <p class="refpurpose">Sliding block processing for an image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">y</span><span class="default"> = </span><span class="default">imblockproc</span><span class="default">(</span><span class="default">x</span><span class="default">,</span><span class="default">blk</span><span class="default">,</span><span class="default">func</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x :</span>
      <dd><p class="para">Source Image</p></dd></dt>
   <dt><span class="term">blk :</span>
      <dd><p class="para">Block size [m,n]</p></dd></dt>
   <dt><span class="term">func :</span>
      <dd><p class="para">A function name which provide the processing function. The fucntion</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function is block processing function with sliding blocks.
Sliding blocks are rectangular partitions that divide an image matrix
into m-by-n section</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">A</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/balloons_gray.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabcommand" href="scilab://deff">deff</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">y=myfunc(x)</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">y = mean(x)</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">y</span> <span class="scilaboperator">=</span> <span class="scilabid">imblockslide</span><span class="scilabopenclose">(</span><span class="scilabid">A</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">9</span> <span class="scilabnumber">9</span><span class="scilabopenclose">]</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">myfunc</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">y</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imblockproc.html" class="link">imblockproc</a></li>
   <li class="member"><a href="im2col.html" class="link">im2col</a></li>
   <li class="member"><a href="imcolproc.html" class="link">imcolproc</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imblockproc.html">&lt;&lt; imblockproc</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_574e3b4e7087dab9ef32adbdaa6a972f.html">Image Block Processing</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imcolproc.html">imcolproc &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
